Adobe Classic v6: Enforce TLS 1.2 with HttpClientRequest

Avatar

Avatar

mroshaw

Avatar

mroshaw

mroshaw

31-05-2018

We are using HttpClientRequest to consume an external REST API in JavaScript. The external provider recently pulled support for SSL and our remote call now fails, we're told because we must now use the TLS 1.2 protocol when consuming their service.

IOB-090020 Error in SSL library: 'IOB-090013 error: 14077410:SSL routines:SSL23_GET_SERVER_HELLO:sslv3 alert handshake failure (code 336032784)

Can we force HttpClientRequest to use TLS 1.2 in code? Or does this require a ServerConf.xml file change?

We're on v6 build 8931, and that build uses the latest 1.x OpenSSL libraries (so we're told).

Thanks!

8931

View Entire Topic

Avatar

Avatar

LeonieSwart

Avatar

LeonieSwart

LeonieSwart

23-08-2018

Is there also a solution without upgrading?
I'm on build 8863 and I'm getting this error.

Not sure how to proceed from here.

Thanks!